From: "Pacho Ramos" <pacho@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: sys-firmware/sof-firmware/
Date: Sun, 7 Apr 2024 16:44:15 +0000 (UTC) [thread overview]
Message-ID: <1712508233.88e19836b7e95385022c432f6eaefde123b49c73.pacho@gentoo> (raw)
commit: 88e19836b7e95385022c432f6eaefde123b49c73
Author: Pacho Ramos <pacho <AT> gentoo <DOT> org>
AuthorDate: Sun Apr 7 16:33:04 2024 +0000
Commit: Pacho Ramos <pacho <AT> gentoo <DOT> org>
CommitDate: Sun Apr 7 16:43:53 2024 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=88e19836
sys-firmware/sof-firmware: Allow to skip glibc requirement
Useful for MUSL based systems as commented in:
https://www.reddit.com/r/voidlinux/comments/rbq4ns/comment/im2r0bp/
Closes: https://bugs.gentoo.org/925179
Signed-off-by: Pacho Ramos <pacho <AT> gentoo.org>
sys-firmware/sof-firmware/metadata.xml | 3 +++
sys-firmware/sof-firmware/sof-firmware-2024.03.ebuild | 13 +++++++++++--
2 files changed, 14 insertions(+), 2 deletions(-)
diff --git a/sys-firmware/sof-firmware/metadata.xml b/sys-firmware/sof-firmware/metadata.xml
index 6f44d28b9bc7..5933a501e2ec 100644
--- a/sys-firmware/sof-firmware/metadata.xml
+++ b/sys-firmware/sof-firmware/metadata.xml
@@ -7,6 +7,9 @@
<maintainer type="project">
<email>alsa-bugs@gentoo.org</email>
</maintainer>
+ <use>
+ <flag name="tools">Tools to interact with sof firmwares (upstream expects them to be present, but allow to skip them for systems not able to install needed dependencies)</flag>
+ </use>
<upstream>
<remote-id type="github">thesofproject/sof</remote-id>
</upstream>
diff --git a/sys-firmware/sof-firmware/sof-firmware-2024.03.ebuild b/sys-firmware/sof-firmware/sof-firmware-2024.03.ebuild
index ac48a808c83e..105eaae58f37 100644
--- a/sys-firmware/sof-firmware/sof-firmware-2024.03.ebuild
+++ b/sys-firmware/sof-firmware/sof-firmware-2024.03.ebuild
@@ -11,10 +11,13 @@ S="${WORKDIR}"/sof-bin-${PV}
LICENSE="BSD"
SLOT="0"
KEYWORDS="~amd64"
+IUSE="+tools"
RDEPEND="
- media-libs/alsa-lib
- sys-libs/glibc
+ tools? (
+ media-libs/alsa-lib
+ sys-libs/glibc
+ )
"
QA_PREBUILT="usr/bin/sof-ctl
@@ -25,6 +28,12 @@ src_install() {
dodir /lib/firmware/intel
dodir /usr/bin
FW_DEST="${D}/lib/firmware/intel" TOOLS_DEST="${D}/usr/bin" "${S}/install.sh" || die
+
+ # Drop tools if requested (i.e. useful for musl systems, where glibc
+ # is not available)
+ if ! use tools ; then
+ rm -rv "${D}"/usr/bin || die
+ fi
}
pkg_preinst() {
next reply other threads:[~2024-04-07 16:44 UTC|newest]
Thread overview: 53+ messages / expand[flat|nested] mbox.gz Atom feed top
2024-04-07 16:44 Pacho Ramos [this message]
-- strict thread matches above, loose matches on Subject: below --
2024-09-29 19:37 [gentoo-commits] repo/gentoo:master commit in: sys-firmware/sof-firmware/ Sam James
2024-09-29 18:27 Pacho Ramos
2024-07-18 19:03 Pacho Ramos
2024-07-18 19:03 Pacho Ramos
2024-07-08 9:40 Sam James
2024-04-09 15:54 Arthur Zamarin
2024-04-07 16:44 Pacho Ramos
2024-03-07 15:03 Pacho Ramos
2024-03-07 15:03 Pacho Ramos
2024-02-05 22:05 Sam James
2024-01-28 17:35 Matt Turner
2023-12-20 10:36 Sam James
2023-12-20 10:04 Pacho Ramos
2023-12-20 10:04 Pacho Ramos
2023-12-20 10:02 Pacho Ramos
2023-11-24 12:18 Arthur Zamarin
2023-11-24 10:58 Pacho Ramos
2023-11-10 16:20 Pacho Ramos
2023-10-01 17:45 Pacho Ramos
2023-10-01 17:45 Pacho Ramos
2023-07-30 12:46 Sam James
2023-07-08 21:44 Sam James
2023-07-08 10:56 Pacho Ramos
2023-07-08 10:56 Pacho Ramos
2023-05-14 16:31 Sam James
2023-05-14 11:37 Pacho Ramos
2023-05-14 11:37 Pacho Ramos
2023-02-23 13:41 Sam James
2023-02-23 13:08 Pacho Ramos
2023-02-23 13:08 Pacho Ramos
2022-12-25 16:42 Sam James
2022-12-25 10:03 Pacho Ramos
2022-12-25 10:03 Pacho Ramos
2022-12-25 10:03 Pacho Ramos
2022-11-04 3:11 Matt Turner
2022-09-09 7:34 Agostino Sarubbo
2022-08-17 16:21 Matt Turner
2022-07-31 11:05 Agostino Sarubbo
2022-07-29 18:08 Matt Turner
2022-04-29 5:58 Sam James
2022-04-29 4:42 Sam James
2022-04-29 4:41 Sam James
2022-01-31 18:50 Sam James
2021-12-22 3:57 Sam James
2021-12-21 3:06 Sam James
2021-10-10 14:20 Andreas K. Hüttel
2021-10-10 14:20 Andreas K. Hüttel
2021-10-10 14:20 Andreas K. Hüttel
2021-05-08 16:03 Matt Turner
2020-10-18 15:24 Mikle Kolyada
2020-07-29 5:38 Matt Turner
2020-04-07 8:40 Andreas K. Hüttel
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1712508233.88e19836b7e95385022c432f6eaefde123b49c73.pacho@gentoo \
--to=pacho@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox